# Generated by Django 3.2.6 on 2022-02-15 17:37

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('accounts', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='clubmember',
            options={},
        ),
        migrations.AlterModelManagers(
            name='clubmember',
            managers=[
            ],
        ),
        migrations.RemoveField(
            model_name='clubmember',
            name='date_joined',
        ),
        migrations.RemoveField(
            model_name='clubmember',
            name='email',
        ),
        migrations.RemoveField(
            model_name='clubmember',
            name='first_name',
        ),
        migrations.RemoveField(
            model_name='clubmember',
            name='groups',
        ),
        migrations.RemoveField(
            model_name='clubmember',
            name='is_active',
        ),
        migrations.RemoveField(
            model_name='clubmember',
            name='is_staff',
        ),
        migrations.RemoveField(
            model_name='clubmember',
            name='is_superuser',
        ),
        migrations.RemoveField(
            model_name='clubmember',
            name='last_login',
        ),
        migrations.RemoveField(
            model_name='clubmember',
            name='last_name',
        ),
        migrations.RemoveField(
            model_name='clubmember',
            name='password',
        ),
        migrations.RemoveField(
            model_name='clubmember',
            name='user_name',
        ),
        migrations.RemoveField(
            model_name='clubmember',
            name='user_permissions',
        ),
        migrations.RemoveField(
            model_name='clubmember',
            name='username',
        ),
        migrations.AddField(
            model_name='clubmember',
            name='user',
            field=models.OneToOneField(default=1, on_delete=django.db.models.deletion.CASCADE, to='auth.user'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='clubmember',
            name='gender',
            field=models.CharField(choices=[('Male', 'Male'), ('Female', 'Female')], max_length=8),
        ),
    ]
